Skip to content

Update Option Product

PATCH https://api.secure.quotivity.com/v1/bundles/{bundleId}/options/{optionId}/{productId}

Updates a product within a bundle option, including its quantity, configuration, and display order.

Send your API key in the x-api-key header. See Generating API keys.

Name Type Required Description
bundleId string Yes —
optionId string Yes —
productId string Yes —

Required, application/json: UpdateOptionProductRequest

Status Body Description
200 BundleOptionProduct[] Product updated successfully
400 — Invalid request (option doesn’t belong to bundle or product not found)
401 — Unauthorized
500 — Internal Server Error
Field Type Required Description
id string Yes —
accountId string Yes —
bundleId string Yes —
optionId string Yes —
productId string Yes —
properties map of string to string Yes —
configuration BundleProductConfiguration No —
displayOrder number Yes —
Field Type Required Description
minQuantity number No —
maxQuantity number No —
readonlyQuantity boolean No —
Field Type Required Description
product object Yes —
displayOrder number No —